<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    
    <div id="app">
        <tabs></tabs>
    </div>

    <script src="https://unpkg.com/vue@2.6.10/dist/vue.js"></script>
    <script>
    
    Vue.component('one', {
        data: function () {
            return {
                numbers: [1,2,3,4],
                currentIndex: 0
            }  
        },
        template: `<div>
                    <p>composant 1 chargé</p>
                    <p>current index: {{ currentIndex }}</p> 
                    <p v-for="(n, index) in numbers"
                        @click="currentIndex = index">
                        {{ n }}
                    </p>
                   </div>`
    });

    Vue.component('two', {
        template: `<p> composant 2 chargé</p>`
    });

    Vue.component('tabs', {
        data: function() {
            return {
                currentTab: 'one' 
            }
        },
        template: `
        <div>
            <div>
                <button @click="currentTab = 'one'">one</button>
                <button @click="currentTab = 'two'">two</button>
            </div>
            <keep-alive>
                <component v-bind:is="currentTab"></component>
            </keep-alive>
        </div>
        `
    })


    const app = new Vue({
        el:'#app',
    });
    </script>
</body>
</html>